* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  user-select: none;
  cursor: pointer;
}

@font-face {
  font-family: numberFont;
  src: url(RobotoSlab-VariableFont_wght.ttf);
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

html,
body {
  width: 100%;
  height: 100%;
  background-color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: -1;
}

.number-animation {
  position: absolute;
  transform: translate(-10%, -50%);
  top: 50%;
  left: 10%;
  color: white;
  font-family: numberFont;
}

.calc {
  position: relative;
  width: 400px;
  height: 600px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  background-color: black;
  box-shadow: 0 0 20px teal;
}
.calc-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 500px;
}

.calc-row,
.calc-col {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  gap: 20px;
  padding: 20px;
}

.calc-col {
  flex-direction: column;
}

:root {
  --angle: 0deg;
}

.calc::before,
.calc::after {
  transform: rotate(var(--angle));
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: conic-gradient(
    from var(--angle),
    transparent 0%,
    #ffffff,
    #ffd700,
    #c0c0c0,
    #ff0000,
    #50c878,
    #4169e1,
    #ff69b4,
    #800080,
    #ffa500,
    #008080
  );
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 10px;
  z-index: -1;
  padding: 10px;
  animation: spin 6s linear infinite;
}
.calc::before {
  filter: blur(20px);
  opacity: 1;
}

@property --angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

@keyframes spin {
  from {
    --angle: 0deg;
  }
  to {
    --angle: 360deg;
  }
}

/* input[type="text"]::-webkit-textfield-decoration-container {
  display: none;
} */

.calc-input {
  cursor: default !important;
  width: 100%;
  height: 100px;
  padding: 8px 20px;
  font-size: 30px;
  outline: none;
  border: none;
  text-align: right;
  cursor: text;
  background: transparent;
  color: #fff;
  border-top-right-radius: 20px;
  border-top-left-radius: 20px;
}
.calc-input::placeholder {
  color: #fff;
}
.number {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
  border-radius: 10px;
  font-size: 25px;
  font-weight: 400;
  font-family: numberFont;
  color: black;
  background: silver;
  border-radius: 50%;
  z-index: 111;
}

#dot {
  font-size: 10px;
}
#sign {
  background-color: teal;
  color: white;
}

#AllClear,
#EachClear {
  justify-content: flex-start;
  width: 150px;
  border-radius: 40px;
  padding-left: 20px;
}
/* #sign,
#dot {
  font-size: 0px;
}
*/
#sign > i,
#dot > i {
  font-size: 0px;
}

span:hover {
  background-color: white !important;
  color: black !important;
}

@media (max-width: 800px) {
  .number-animation {
    transform: translate(0, -50%);
    top: 10%;
    left: 50%;
  }
}
@media (max-width: 800px) {
  body {
    padding: 0 20px;
  }
  .number-animation {
    transform: translate(-6%, -50%);
    top: 6%;
    left: 50%;
    font-size: 30px !important;
  }

  .calc {
    width: 300px;
    height: max-content;
  }

  .calc-input {
    height: auto;
    font-size: 30px;
    padding: 30px 20px;
  }

  .calc-container {
    height: auto;
  }

  .number {
    width: 40px;
    height: 40px;
    font-size: 20px;
  }
}

@media (max-width: 420px) {
  body {
    padding: 0 20px;
  }
  .number-animation {
    transform: translate(-6%, -50%);
    top: 6%;
    left: 50%;
    font-size: 30px !important;
  }

  .calc {
    width: 300px;
    height: max-content;
  }

  .calc-input {
    height: auto;
    font-size: 30px;
    padding: 30px 20px;
  }

  .calc-container {
    height: auto;
  }

  .number {
    width: 40px;
    height: 40px;
    font-size: 20px;
  }
}
@media (max-width: 300px) {
  .calc {
    width: 100%;
  }
}
